Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse
[Groovy] Class GenerateEclipseWtpFacet

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.plugins.ide.api.GeneratorTask
              org.gradle.plugins.ide.api.XmlGeneratorTask
                  org.gradle.plugins.ide.eclipse.GenerateEclipseWtpFacet

    class GenerateEclipseWtpFacet
    extends XmlGeneratorTask

Generates the org.eclipse.wst.common.project.facet.core settings file for Eclipse WTP. If you want to fine tune the eclipse configuration

At this moment nearly all configuration is done via EclipseWtpFacet.

Authors:
  Hans Dockter

Field Summary

Fields inherited from class GeneratorTask
afterConfigured, beforeConfigured, domainObject, generator

Property Summary
`EclipseWtpFacet` | `facet`

Constructor Summary
`GenerateEclipseWtpFacet()`

Method Summary
`protected void` | `configure(WtpFacet xmlFacet)`
`protected WtpFacet` | `create()`

Methods inherited from class XmlGeneratorTask
configure, create, getXmlTransformer

Methods inherited from class GeneratorTask
getInputFile, getOutputFile, setInputFile, setOutputFile

Property Detail

### facet

    EclipseWtpFacet facet

Constructor Detail

### GenerateEclipseWtpFacet

    GenerateEclipseWtpFacet()

Method Detail

### configure

    @Override
    protected void configure(WtpFacet xmlFacet)

### create

    @Override
    protected WtpFacet create()

Gradle API 1.1-rc-1